Name:          gmock
Version:       1.7.0
Release:       1mamba
Summary:       Google C++ Mocking Framework
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/googlemock/
Source:        http://googlemock.googlecode.com/files/gmock-%{version}.zip
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s specifics in mind, Google C++ Mocking Framework (or Google Mock for short) is a library for writing and using C++ mock classes.

Google Mock:
- provides a declarative syntax for defining mocks,
- can easily define partial (hybrid) mocks, which are a cross of real and mock objects,
- handles functions of arbitrary types and overloaded functions,
- comes with a rich set of matchers for validating function arguments,
- uses an intuitive syntax for controlling the behavior of a mock,
- does automatic verification of expectations (no record-and-replay needed),
- allows arbitrary (partial) ordering constraints on function calls to be expressed,
- lets a user extend it by defining new matchers and actions.
- does not use exceptions, and
- is easy to learn and use.

%package devel
Group:         Development/Libraries
Summary:       Google C++ Mocking Framework
Provides:      gtest-devel
Obsoletes:     gtest-devel

%description devel
Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s specifics in mind, Google C++ Mocking Framework (or Google Mock for short) is a library for writing and using C++ mock classes.

Google Mock:
- provides a declarative syntax for defining mocks,
- can easily define partial (hybrid) mocks, which are a cross of real and mock objects,
- handles functions of arbitrary types and overloaded functions,
- comes with a rich set of matchers for validating function arguments,
- uses an intuitive syntax for controlling the behavior of a mock,
- does automatic verification of expectations (no record-and-replay needed),
- allows arbitrary (partial) ordering constraints on function calls to be expressed,
- lets a user extend it by defining new matchers and actions.
- does not use exceptions, and
- is easy to learn and use.

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 build/libgmock.so %{buildroot}%{_libdir}/libgmock.so
install -D -m0755 build/libgmock_main.so %{buildroot}%{_libdir}/libgmock_main.so
install -D -m0755 build/gtest/libgtest.so %{buildroot}%{_libdir}/libgtest.so
install -D -m0755 build/gtest/libgtest_main.so %{buildroot}%{_libdir}/libgtest_main.so
install -d -m0755 %{buildroot}/%{_includedir}
cp -a include/gmock %{buildroot}/%{_includedir}/
cp -a gtest/include/gtest %{buildroot}/%{_includedir}/


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libgmock.so
%{_libdir}/libgmock_main.so
%{_libdir}/libgtest.so
%{_libdir}/libgtest_main.so

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gmock
%{_includedir}/gmock/*.h
%{_includedir}/gmock/*.pump
%dir %{_includedir}/gmock/internal
%{_includedir}/gmock/internal/*.h
%{_includedir}/gmock/internal/*.pump
%dir %{_includedir}/gtest
%{_includedir}/gtest/*.h
%{_includedir}/gtest/*.pump
%dir %{_includedir}/gtest/internal
%{_includedir}/gtest/internal/*.h
%{_includedir}/gtest/internal/*.pump
%doc CHANGES CONTRIBUTORS README

%changelog
* Tue Aug 09 2016 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sun Feb 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Wed Sep 22 2010 gil <puntogil@libero.it> 1.5.0-1mamba
- package created by autospec
